For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
      • POSTTranscribe or Translate
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
SpeechAPI Reference

Transcribe or Translate

POST
https://api.reka.ai/v1/transcription_or_translation
POST
/v1/transcription_or_translation
$curl -X POST https://api.reka.ai/v1/transcription_or_translation \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "audio_url": "data:audio/wav;base64,<base64_encoded_audio>",
> "sampling_rate": 16000,
> "temperature": 0,
> "max_tokens": 1024
>}'
1{
2 "transcript": "Example transcribed text from the audio",
3 "transcript_translation_with_timestamp": [
4 {
5 "start": 0,
6 "end": 0.5,
7 "transcript": "Example"
8 },
9 {
10 "start": 0.5,
11 "end": 1.2,
12 "transcript": "transcribed"
13 }
14 ]
15}
Transcribe audio to text, translate speech to another language, or generate translated audio output. This endpoint supports multiple modes: - Transcription only: Convert speech to text with optional word-level timestamps - Translation: Translate audio from one language to another - Speech-to-speech translation: Generate translated audio output
Was this page helpful?
Previous

FAQs

Common questions about Reka API
Next
Built with

Transcribe audio to text, translate speech to another language, or generate translated audio output.

This endpoint supports multiple modes:

  • Transcription only: Convert speech to text with optional word-level timestamps
  • Translation: Translate audio from one language to another
  • Speech-to-speech translation: Generate translated audio output

Authentication

X-Api-Keystring
API key for authentication

Request

This endpoint expects an object.
audio_urlstringRequired

URL to the audio file or base64-encoded audio as data URI (data:audio/wav;base64,…)

sampling_rateintegerRequiredDefaults to 16000
Audio sampling rate in Hz
target_languageenumOptional
Target language for translation
is_translatebooleanOptionalDefaults to false
Set to true to indicate translation request
return_translation_audiobooleanOptionalDefaults to false

If true, returns base64-encoded audio of the translated speech

temperaturedoubleOptional
Controls randomness in generation. Use 0.0 for deterministic output
max_tokensintegerOptional>=1Defaults to 1024
Maximum number of tokens to generate

Response

Successful transcription or translation
transcriptstring
Transcribed text in the original language
translationstring

Translated text in the target language (only if target_language is specified)

transcript_translation_with_timestamplist of objects

Word-level timestamps

audio_base64string

Base64-encoded WAV audio of the translated speech (only if return_translation_audio is true)

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error